/*
 *  shrbuf.C from ObjectProDSP 0.1
 *  Copyright (C) 1994, Mountain Math Software, All rights reserved.
 *  Licensed for free use and distribution under version 2 of the Gnu General
 *  Public License. Please see file COPYING for details and restrictions.
 *  
 *  ObjectProDSP is a trademark of Mountain Math Software.
 */
#include "shrbuf.h"
#include <iostream.h>

SharedBuffer TheSharedBuffer("TheSharedBuffer");

void SharedBuffer::declare_name(ostream& out)
{
	out << "\nextern MachWordType " << TheSharedBuffer.Name << "[];\n\n" ;
}

void SharedBuffer::declare_space(ostream& out)
{
	out << "\nMachWordType " << TheSharedBuffer.Name << "[" <<
        TheSharedBuffer.GetMaxSize() << "];\n\n" ;
}
